Crypt::Stream::RC4(3pm)

NAME
Crypt::Stream::RC4 - Stream cipher RC4

SYNOPSIS
   use Crypt::Stream::RC4;

   # encrypt
   $key = "1234567890123456";
   $stream = Crypt::Stream::RC4->new($key);
   $ct = $stream->crypt("plain message");

   # decrypt
   $key = "1234567890123456";
   $stream = Crypt::Stream::RC4->new($key);
   $pt = $stream->crypt($ct);

DESCRIPTION
Provides an interface to the RC4 stream cipher.

METHODS

  new
 $stream = Crypt::Stream::RC4->new($key);
 # $key .. length 5-256 bytes (40 - 2048 bits)

  crypt
 $ciphertext = $stream->crypt($plaintext);
 #or
 $plaintext = $stream->crypt($ciphertext);

  keystream
 $random_key = $stream->keystream($length);

  clone
 $stream->clone();

SEE ALSO

•   Crypt::Stream::ChaCha, Crypt::Stream::Sober128, Crypt::Stream::Salsa20, Crypt::Stream::Sosemanuk

•   <https://en.wikipedia.org/wiki/RC4_cipher>